@if (!edit) {
  @if (value) {
    <div
      class="field-value-color"
      (click)="enableEditMode()"
      [class.editable]="editable"
    >
      <span>{{ formatValue(hourModel) }}:{{ formatValue(minuteModel) }}</span>
    </div>
  } @else {
    @if (editable) {
      <div
        class="sqtm-placeholder editable text-ellipsis"
        (click)="enableEditMode()"
      >
        <span>{{ 'sqtm-core.generic.editable.placeholder' | translate }}</span>
      </div>
    }
  }
}

@if (edit) {
  <div class="flex-row">
    <nz-input-number
      #hourInput
      [attr.data-test-input-name]="'hour-input-number'"
      [attr.data-test-input-value]="hourModel"
      #listItemHoursRef
      class="flex cursor time-picker-input no-right-border-radius"
      nzMin="0"
      nzMax="23"
      [(ngModel)]="hourModel"
      [nzFormatter]="formatValue"
      [nzSize]="size"
      (click)="showHoursList()"
      (keydown)="handleInputKeyDown($event)"
      (input)="handleHourChange($event)"
    />
    <nz-input-number
      #minuteInput
      [attr.data-test-input-name]="'minute-input-number'"
      [attr.data-test-input-value]="minuteModel"
      class="flex cursor time-picker-input no-border-radius"
      nzMin="0"
      nzMax="59"
      #listItemMinutesRef
      [(ngModel)]="minuteModel"
      [nzFormatter]="formatValue"
      [nzSize]="size"
      (click)="showMinutesList()"
      (keydown)="handleInputKeyDown($event)"
      (input)="handleMinuteChange($event)"
    />
    @if (editable) {
      <ng-template #templatePortalHoursContent>
        <div class="list-width">
          <sqtm-core-list-panel
            [searchable]="false"
            [items]="listPanelHoursItems"
            (itemSelectionChanged)="handlePickHourChange($event)"
          >
          </sqtm-core-list-panel>
        </div>
      </ng-template>
    }
    @if (editable) {
      <ng-template #templatePortalMinutesContent>
        <div class="list-width">
          <sqtm-core-list-panel
            [searchable]="false"
            [items]="listPanelMinutesItems"
            (itemSelectionChanged)="handlePickMinuteChange($event)"
          >
          </sqtm-core-list-panel>
        </div>
      </ng-template>
    }
    @if (mustShowButtons()) {
      <div class="flex-fixed-size">
        <button
          nz-button
          nzType="primary"
          [attr.data-test-button-id]="'confirm'"
          [ngClass]="getConfirmButtonCss()"
          [nzSize]="size"
          [nzLoading]="pending"
          (click)="confirm()"
        >
          <i nz-icon [nzType]="'check'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.confirm' | translate | capitalize }}
          }
        </button>
      </div>
    }
    @if (mustShowButtons()) {
      <div class="flex-fixed-size">
        <button
          nz-button
          nzType="default"
          [attr.data-test-button-id]="'cancel'"
          [ngClass]="getCancelButtonCss()"
          [nzSize]="size"
          [nzLoading]="pending"
          (click)="cancel()"
        >
          <i nz-icon [nzType]="'close'"></i>
          @if (mustShowButtonLabels()) {
            {{ 'sqtm-core.generic.label.cancel' | translate | capitalize }}
          }
        </button>
      </div>
    }
  </div>
}
